Skip to main content
GET
/
v2
/
security
/
audit
/
batches
/
{batch_id}
/
items
Get Audit Items
curl --request GET \
  --url https://api.valiqor.com/v2/security/audit/batches/{batch_id}/items \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "input_short": "<string>",
    "output_short": "<string>",
    "risk_categories": [
      "<string>"
    ],
    "top_risk_name": "<string>",
    "status": "<string>",
    "input_safety": "<string>",
    "input_safety_categories": [
      "<string>"
    ],
    "audit_metadata": {},
    "batch_name": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Path Parameters

batch_id
string
required

Query Parameters

limit
integer
default:100

Response

Successful Response

id
string
required
timestamp
string<date-time>
required
input_short
string | null
required
output_short
string | null
required
risk_categories
string[] | null
required
top_risk_name
string | null
required
status
string
required
input_safety
string | null
input_safety_categories
string[] | null
audit_metadata
Audit Metadata · object
batch_name
string | null